import java.io.FileReader;
import au.com.bytecode.opencsv.CSVReader;

public class LecteurDeTuples {
	private FileReader descripteur;
	private CSVReader lecteurCSV;
	private Tuple tuple;
	
	public LecteurDeTuples(String s) { //throws FileNotFoundException, IOException{
		try{
			descripteur = new FileReader(s);
			lecteurCSV = new CSVReader(descripteur);
		}
		catch (Exception e){
			System.out.println("Problème d'ouverture de fichier!");
			}
		try{
			tuple = new Tuple(lecteurCSV.readNext());
		}
		catch (Exception e){
			System.out.println("Problème lecture du schéma!");
		}
	}

	public boolean litTupleSuivant() {//throws FileNotFoundException, IOException{
		String[] valeurs = null;
		try {
			valeurs = lecteurCSV.readNext();
		}
		catch (Exception e){
			System.out.println("Problème lecture tuple!");
		}
		if (valeurs == null){
			tuple.setValeurs(new String[tuple.getSchema().length]);
			return false;
		}
		else{
			tuple.setValeurs(valeurs);
			return true;
		}
	}

	public Tuple getTuple() {
		return tuple;
	}

	public String toString(){
		return tuple.toString();
	}

}
